Bitnami Redmine安装插件,一路问题,请指教!

tomxue 发布于 2014/07/05 19:26
阅读 8K+
收藏 0
我的OS: Windows8 64 bits

安装Bitnami版本的Redmine,很简单,一路next,直接搞定!
但是安装Redmine插件,超级费劲,一路各种问题。

首先,Bitnami官方有个安装插件的指导链接如下:
http://wiki.bitnami.com/Applications/BitNami_Redmine_Stack#How_to_install_a_plugin_on_Redmine.3f

按 照要求,我把我想安装的看板插件(在这里:https://github.com/edavis10/redmine_kanban)复制到 C:\Bitnami\redmine-2.5.1-2\apps\redmine\htdocs\plugins,这里因此多了一个目录redmine_kanban

按照插件Github上的安装说明:https://github.com/edavis10/redmine_kanban
需要先安装这两个:gem install aasm block_helpers

而且强调要把插件文件放在这里:vendor/plugins/redmine_kanban
这和上面的Bitnami官方文档有出入,而且Bitnami Redmine版本不存在这样一个路径
好吧,我就自己创建这个路径,并把看板插件文件也拷贝一份放在那里

然后继续,安装Giuthub那个说明,需要执行命令:rake db:migrate_plugins
这个我是在运行了use_redmine.bat之后弹出的命令行窗口里执行的,结果报错如下:
C:\Bitnami\redmine-2.5.1-2\apps\redmine\htdocs\plugins>rake db:migrate_plugins
(in C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs)
rake aborted!
You have already activated rake 0.9.2.2, but your Gemfile requires rake 10.1.1. Prepending `bundle exec` to your command may solve this.

(See full trace by running task with --trace)


好吧,上网搜了一番,很多人说照着提示把bundle exec加上就行,我再试:
C:\Bitnami\redmine-2.5.1-2\apps\redmine\htdocs\plugins>bundle exec  rake db:migrate_plugins
(in C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs)
rake aborted!
cannot load such file -- aasm
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:251:in `require'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:251:in `block in require'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:236:in `load_dependency'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:251:in `require'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/plugins/redmine_kanban/init.rb:3:in `<top (required)>'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:251:in `require'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:251:in `block in require'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:236:in `load_dependency'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:251:in `require'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/lib/redmine/plugin.rb:133:in `block in load'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/lib/redmine/plugin.rb:124:in `each'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/lib/redmine/plugin.rb:124:in `load'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/config/initializers/30-redmine.rb:19:in `<top (required)>'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:245:in `load'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:245:in `block in load'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:236:in `load_dependency'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:245:in `load'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/engine.rb:593:in `block (2 levels) in <class:Engine>'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/engine.rb:592:in `each'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/engine.rb:592:in `block in <class:Engine>'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/initializable.rb:30:in `instance_exec'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/initializable.rb:30:in `run'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/initializable.rb:55:in `block in run_initializers'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/initializable.rb:54:in `each'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/initializable.rb:54:in `run_initializers'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/application.rb:136:in `initialize!'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/railtie/configurable.rb:30:in `method_missing'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/config/environment.rb:14:in `<top (required)>'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:251:in `require'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:251:in `block in require'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:236:in `load_dependency'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/activesupport-3.2.17/lib/active_support/dependencies.rb:251:in `require'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/application.rb:103:in `require_environment!'
C:/Bitnami/redmine-2.5.1-2/apps/redmine/htdocs/vendor/bundle/ruby/1.9.1/gems/railties-3.2.17/lib/rails/application.rb:305:in `block (2 levels) in initialize_tas
ks'
Tasks: TOP => db:migrate_plugins => redmine:plugins:migrate => environment
(See full trace by running task with --trace)


无语啊,这又是什么问题?
请高手指教下!

加载中
0
神级测试师

安装目录不对。所以才有问题。正确的插件目录 参考C:\Bitnami\redmine-2.5.2-0\apps\redmine\htdocs\plugins


0
洋_123
洋_123
楼主解决了这个问题了吗?
0
goudy
goudy

我最近安装了 Bitnami 的 Redmine3.0.0, 系统是 Ubuntu12.04。 安装是 80端口一开始怎么都安装不成功,说是端口被占用,怎么清理都不行。毛了,用 sudo 去安装,搞定。不过后续的维护都得是 root或者sudo了。

插件的问题,下载了两个号称适合 3.0 的插件, 一个是 Agile, 另一个是图片剪辑的。 下载的包都是解压到 redmine/apps/redmine/htdocs/plugins 下面才能安装,最后成功安装了 Agile(功能和效果比其他商业软件还是差了点)。 图片剪辑功能没有安装成功,因为依赖的 Ruby还是啥的,版本不对,放弃了。



返回顶部
顶部